Bug 116012

Summary: Move writeIndent, overloaded << operators from RenderTreeAsText to TextStream
Product: WebKit Reporter: Zan Dobersek <zan>
Component: New BugsAssignee: Zan Dobersek <zan>
Status: RESOLVED FIXED    
Severity: Normal CC: andersca, benjamin, cmarcelo, commit-queue, dino, eflews.bot, esprehn+autocc, glenn, gtk-ews, gyuyoung.kim, jamesr, kondapallykalyan, luiz, rego+ews, simon.fraser, tonikitoo, xan.lopez
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 117509    
Attachments:
Description Flags
Patch
webkit-ews: commit-queue-
Patch
none
Patch none

Description Zan Dobersek 2013-05-12 23:27:10 PDT
Move writeIndent, overloaded << operators from RenderTreeAsText to TextStream
Comment 1 Zan Dobersek 2013-05-12 23:37:00 PDT
Created attachment 201532 [details]
Patch
Comment 2 Early Warning System Bot 2013-05-12 23:42:15 PDT
Comment on attachment 201532 [details]
Patch

Attachment 201532 [details] did not pass qt-wk2-ews (qt-wk2):
Output: http://webkit-queues.appspot.com/results/427774
Comment 3 EFL EWS Bot 2013-05-12 23:42:17 PDT
Comment on attachment 201532 [details]
Patch

Attachment 201532 [details] did not pass efl-ews (efl):
Output: http://webkit-queues.appspot.com/results/465200
Comment 4 Early Warning System Bot 2013-05-12 23:42:32 PDT
Comment on attachment 201532 [details]
Patch

Attachment 201532 [details] did not pass qt-ews (qt):
Output: http://webkit-queues.appspot.com/results/465199
Comment 5 EFL EWS Bot 2013-05-12 23:43:00 PDT
Comment on attachment 201532 [details]
Patch

Attachment 201532 [details] did not pass efl-wk2-ews (efl-wk2):
Output: http://webkit-queues.appspot.com/results/265752
Comment 6 kov's GTK+ EWS bot 2013-05-12 23:43:25 PDT
Comment on attachment 201532 [details]
Patch

Attachment 201532 [details] did not pass gtk-ews (gtk):
Output: http://webkit-queues.appspot.com/results/466156
Comment 7 Zan Dobersek 2013-05-12 23:54:51 PDT
Comment on attachment 201532 [details]
Patch

Not yet ready it seems.
Comment 8 Zan Dobersek 2013-05-13 05:01:35 PDT
Created attachment 201547 [details]
Patch
Comment 9 Zan Dobersek 2013-05-21 09:43:53 PDT
Hi Benjamin, could you perhaps take a look at this one?
Comment 10 Zan Dobersek 2013-06-11 10:30:49 PDT
The build target migration in the Autotools build system has been moved into bug #117509.

Meanwhile, this patch is still up and ready for a review as it is.
Comment 11 Zan Dobersek 2013-10-28 14:08:43 PDT
Created attachment 215333 [details]
Patch

Rebased patch.
Comment 12 Zan Dobersek 2013-10-29 00:48:28 PDT
Comment on attachment 215333 [details]
Patch

Clearing flags on attachment: 215333

Committed r158183: <http://trac.webkit.org/changeset/158183>
Comment 13 Zan Dobersek 2013-10-29 00:48:36 PDT
All reviewed patches have been landed.  Closing bug.
Comment 14 Zan Dobersek 2013-10-29 03:06:57 PDT
Build fixes for the debug Mac build landed in r158185 and r158187. This changed the output format of RemoteLayerTreeTextStream, but hopefully nothing breaks because of this.
http://trac.webkit.org/changeset/158185
http://trac.webkit.org/changeset/158187